require '_h2ph_pre.ph';

no warnings qw(redefine misc);

unless(defined(&_ASM_SOCKET_H)) {
    eval 'sub _ASM_SOCKET_H () {1;}' unless defined(&_ASM_SOCKET_H);
    require 'asm/sockios.ph';
    eval 'sub SOL_SOCKET () {0xffff;}' unless defined(&SOL_SOCKET);
    eval 'sub SO_DEBUG () {0x1;}' unless defined(&SO_DEBUG);
    eval 'sub SO_PASSCRED () {0x2;}' unless defined(&SO_PASSCRED);
    eval 'sub SO_REUSEADDR () {0x4;}' unless defined(&SO_REUSEADDR);
    eval 'sub SO_KEEPALIVE () {0x8;}' unless defined(&SO_KEEPALIVE);
    eval 'sub SO_DONTROUTE () {0x10;}' unless defined(&SO_DONTROUTE);
    eval 'sub SO_BROADCAST () {0x20;}' unless defined(&SO_BROADCAST);
    eval 'sub SO_PEERCRED () {0x40;}' unless defined(&SO_PEERCRED);
    eval 'sub SO_LINGER () {0x80;}' unless defined(&SO_LINGER);
    eval 'sub SO_OOBINLINE () {0x100;}' unless defined(&SO_OOBINLINE);
    eval 'sub SO_REUSEPORT () {0x200;}' unless defined(&SO_REUSEPORT);
    eval 'sub SO_BSDCOMPAT () {0x400;}' unless defined(&SO_BSDCOMPAT);
    eval 'sub SO_RCVLOWAT () {0x800;}' unless defined(&SO_RCVLOWAT);
    eval 'sub SO_SNDLOWAT () {0x1000;}' unless defined(&SO_SNDLOWAT);
    eval 'sub SO_RCVTIMEO () {0x2000;}' unless defined(&SO_RCVTIMEO);
    eval 'sub SO_SNDTIMEO () {0x4000;}' unless defined(&SO_SNDTIMEO);
    eval 'sub SO_ACCEPTCONN () {0x8000;}' unless defined(&SO_ACCEPTCONN);
    eval 'sub SO_SNDBUF () {0x1001;}' unless defined(&SO_SNDBUF);
    eval 'sub SO_RCVBUF () {0x1002;}' unless defined(&SO_RCVBUF);
    eval 'sub SO_SNDBUFFORCE () {0x100a;}' unless defined(&SO_SNDBUFFORCE);
    eval 'sub SO_RCVBUFFORCE () {0x100b;}' unless defined(&SO_RCVBUFFORCE);
    eval 'sub SO_ERROR () {0x1007;}' unless defined(&SO_ERROR);
    eval 'sub SO_TYPE () {0x1008;}' unless defined(&SO_TYPE);
    eval 'sub SO_PROTOCOL () {0x1028;}' unless defined(&SO_PROTOCOL);
    eval 'sub SO_DOMAIN () {0x1029;}' unless defined(&SO_DOMAIN);
    eval 'sub SO_NO_CHECK () {0xb;}' unless defined(&SO_NO_CHECK);
    eval 'sub SO_PRIORITY () {0xc;}' unless defined(&SO_PRIORITY);
    eval 'sub SO_BINDTODEVICE () {0xd;}' unless defined(&SO_BINDTODEVICE);
    eval 'sub SO_ATTACH_FILTER () {0x1a;}' unless defined(&SO_ATTACH_FILTER);
    eval 'sub SO_DETACH_FILTER () {0x1b;}' unless defined(&SO_DETACH_FILTER);
    eval 'sub SO_GET_FILTER () { &SO_ATTACH_FILTER;}' unless defined(&SO_GET_FILTER);
    eval 'sub SO_PEERNAME () {0x1c;}' unless defined(&SO_PEERNAME);
    eval 'sub SO_TIMESTAMP () {0x1d;}' unless defined(&SO_TIMESTAMP);
    eval 'sub SCM_TIMESTAMP () { &SO_TIMESTAMP;}' unless defined(&SCM_TIMESTAMP);
    eval 'sub SO_PEERSEC () {0x1e;}' unless defined(&SO_PEERSEC);
    eval 'sub SO_PASSSEC () {0x1f;}' unless defined(&SO_PASSSEC);
    eval 'sub SO_TIMESTAMPNS () {0x21;}' unless defined(&SO_TIMESTAMPNS);
    eval 'sub SCM_TIMESTAMPNS () { &SO_TIMESTAMPNS;}' unless defined(&SCM_TIMESTAMPNS);
    eval 'sub SO_MARK () {0x22;}' unless defined(&SO_MARK);
    eval 'sub SO_TIMESTAMPING () {0x23;}' unless defined(&SO_TIMESTAMPING);
    eval 'sub SCM_TIMESTAMPING () { &SO_TIMESTAMPING;}' unless defined(&SCM_TIMESTAMPING);
    eval 'sub SO_RXQ_OVFL () {0x24;}' unless defined(&SO_RXQ_OVFL);
    eval 'sub SO_WIFI_STATUS () {0x25;}' unless defined(&SO_WIFI_STATUS);
    eval 'sub SCM_WIFI_STATUS () { &SO_WIFI_STATUS;}' unless defined(&SCM_WIFI_STATUS);
    eval 'sub SO_PEEK_OFF () {0x26;}' unless defined(&SO_PEEK_OFF);
    eval 'sub SO_NOFCS () {0x27;}' unless defined(&SO_NOFCS);
    eval 'sub SO_LOCK_FILTER () {0x28;}' unless defined(&SO_LOCK_FILTER);
    eval 'sub SO_SELECT_ERR_QUEUE () {0x29;}' unless defined(&SO_SELECT_ERR_QUEUE);
    eval 'sub SO_BUSY_POLL () {0x30;}' unless defined(&SO_BUSY_POLL);
    eval 'sub SO_MAX_PACING_RATE () {0x31;}' unless defined(&SO_MAX_PACING_RATE);
    eval 'sub SO_BPF_EXTENSIONS () {0x32;}' unless defined(&SO_BPF_EXTENSIONS);
    eval 'sub SO_SECURITY_AUTHENTICATION () {0x5001;}' unless defined(&SO_SECURITY_AUTHENTICATION);
    eval 'sub SO_SECURITY_ENCRYPTION_TRANSPORT () {0x5002;}' unless defined(&SO_SECURITY_ENCRYPTION_TRANSPORT);
    eval 'sub SO_SECURITY_ENCRYPTION_NETWORK () {0x5004;}' unless defined(&SO_SECURITY_ENCRYPTION_NETWORK);
}
1;
